package com.mvc.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TRepayExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public TRepayExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andBillCodeIsNull() {
            addCriterion("BILL_CODE is null");
            return (Criteria) this;
        }

        public Criteria andBillCodeIsNotNull() {
            addCriterion("BILL_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andBillCodeEqualTo(String value) {
            addCriterion("BILL_CODE =", value, "billCode");
            return (Criteria) this;
        }

        public Criteria andBillCodeNotEqualTo(String value) {
            addCriterion("BILL_CODE <>", value, "billCode");
            return (Criteria) this;
        }

        public Criteria andBillCodeGreaterThan(String value) {
            addCriterion("BILL_CODE >", value, "billCode");
            return (Criteria) this;
        }

        public Criteria andBillCodeGreaterThanOrEqualTo(String value) {
            addCriterion("BILL_CODE >=", value, "billCode");
            return (Criteria) this;
        }

        public Criteria andBillCodeLessThan(String value) {
            addCriterion("BILL_CODE <", value, "billCode");
            return (Criteria) this;
        }

        public Criteria andBillCodeLessThanOrEqualTo(String value) {
            addCriterion("BILL_CODE <=", value, "billCode");
            return (Criteria) this;
        }

        public Criteria andBillCodeLike(String value) {
            addCriterion("BILL_CODE like", value, "billCode");
            return (Criteria) this;
        }

        public Criteria andBillCodeNotLike(String value) {
            addCriterion("BILL_CODE not like", value, "billCode");
            return (Criteria) this;
        }

        public Criteria andBillCodeIn(List<String> values) {
            addCriterion("BILL_CODE in", values, "billCode");
            return (Criteria) this;
        }

        public Criteria andBillCodeNotIn(List<String> values) {
            addCriterion("BILL_CODE not in", values, "billCode");
            return (Criteria) this;
        }

        public Criteria andBillCodeBetween(String value1, String value2) {
            addCriterion("BILL_CODE between", value1, value2, "billCode");
            return (Criteria) this;
        }

        public Criteria andBillCodeNotBetween(String value1, String value2) {
            addCriterion("BILL_CODE not between", value1, value2, "billCode");
            return (Criteria) this;
        }

        public Criteria andDayBillyIndexIsNull() {
            addCriterion("DAY_BILLY_INDEX is null");
            return (Criteria) this;
        }

        public Criteria andDayBillyIndexIsNotNull() {
            addCriterion("DAY_BILLY_INDEX is not null");
            return (Criteria) this;
        }

        public Criteria andDayBillyIndexEqualTo(Integer value) {
            addCriterion("DAY_BILLY_INDEX =", value, "dayBillyIndex");
            return (Criteria) this;
        }

        public Criteria andDayBillyIndexNotEqualTo(Integer value) {
            addCriterion("DAY_BILLY_INDEX <>", value, "dayBillyIndex");
            return (Criteria) this;
        }

        public Criteria andDayBillyIndexGreaterThan(Integer value) {
            addCriterion("DAY_BILLY_INDEX >", value, "dayBillyIndex");
            return (Criteria) this;
        }

        public Criteria andDayBillyIndexGreaterThanOrEqualTo(Integer value) {
            addCriterion("DAY_BILLY_INDEX >=", value, "dayBillyIndex");
            return (Criteria) this;
        }

        public Criteria andDayBillyIndexLessThan(Integer value) {
            addCriterion("DAY_BILLY_INDEX <", value, "dayBillyIndex");
            return (Criteria) this;
        }

        public Criteria andDayBillyIndexLessThanOrEqualTo(Integer value) {
            addCriterion("DAY_BILLY_INDEX <=", value, "dayBillyIndex");
            return (Criteria) this;
        }

        public Criteria andDayBillyIndexIn(List<Integer> values) {
            addCriterion("DAY_BILLY_INDEX in", values, "dayBillyIndex");
            return (Criteria) this;
        }

        public Criteria andDayBillyIndexNotIn(List<Integer> values) {
            addCriterion("DAY_BILLY_INDEX not in", values, "dayBillyIndex");
            return (Criteria) this;
        }

        public Criteria andDayBillyIndexBetween(Integer value1, Integer value2) {
            addCriterion("DAY_BILLY_INDEX between", value1, value2, "dayBillyIndex");
            return (Criteria) this;
        }

        public Criteria andDayBillyIndexNotBetween(Integer value1, Integer value2) {
            addCriterion("DAY_BILLY_INDEX not between", value1, value2, "dayBillyIndex");
            return (Criteria) this;
        }

        public Criteria andRepayTimeIsNull() {
            addCriterion("REPAY_TIME is null");
            return (Criteria) this;
        }

        public Criteria andRepayTimeIsNotNull() {
            addCriterion("REPAY_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andRepayTimeEqualTo(Date value) {
            addCriterion("REPAY_TIME =", value, "repayTime");
            return (Criteria) this;
        }

        public Criteria andRepayTimeNotEqualTo(Date value) {
            addCriterion("REPAY_TIME <>", value, "repayTime");
            return (Criteria) this;
        }

        public Criteria andRepayTimeGreaterThan(Date value) {
            addCriterion("REPAY_TIME >", value, "repayTime");
            return (Criteria) this;
        }

        public Criteria andRepayTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("REPAY_TIME >=", value, "repayTime");
            return (Criteria) this;
        }

        public Criteria andRepayTimeLessThan(Date value) {
            addCriterion("REPAY_TIME <", value, "repayTime");
            return (Criteria) this;
        }

        public Criteria andRepayTimeLessThanOrEqualTo(Date value) {
            addCriterion("REPAY_TIME <=", value, "repayTime");
            return (Criteria) this;
        }

        public Criteria andRepayTimeIn(List<Date> values) {
            addCriterion("REPAY_TIME in", values, "repayTime");
            return (Criteria) this;
        }

        public Criteria andRepayTimeNotIn(List<Date> values) {
            addCriterion("REPAY_TIME not in", values, "repayTime");
            return (Criteria) this;
        }

        public Criteria andRepayTimeBetween(Date value1, Date value2) {
            addCriterion("REPAY_TIME between", value1, value2, "repayTime");
            return (Criteria) this;
        }

        public Criteria andRepayTimeNotBetween(Date value1, Date value2) {
            addCriterion("REPAY_TIME not between", value1, value2, "repayTime");
            return (Criteria) this;
        }

        public Criteria andRepayManIsNull() {
            addCriterion("REPAY_MAN is null");
            return (Criteria) this;
        }

        public Criteria andRepayManIsNotNull() {
            addCriterion("REPAY_MAN is not null");
            return (Criteria) this;
        }

        public Criteria andRepayManEqualTo(String value) {
            addCriterion("REPAY_MAN =", value, "repayMan");
            return (Criteria) this;
        }

        public Criteria andRepayManNotEqualTo(String value) {
            addCriterion("REPAY_MAN <>", value, "repayMan");
            return (Criteria) this;
        }

        public Criteria andRepayManGreaterThan(String value) {
            addCriterion("REPAY_MAN >", value, "repayMan");
            return (Criteria) this;
        }

        public Criteria andRepayManGreaterThanOrEqualTo(String value) {
            addCriterion("REPAY_MAN >=", value, "repayMan");
            return (Criteria) this;
        }

        public Criteria andRepayManLessThan(String value) {
            addCriterion("REPAY_MAN <", value, "repayMan");
            return (Criteria) this;
        }

        public Criteria andRepayManLessThanOrEqualTo(String value) {
            addCriterion("REPAY_MAN <=", value, "repayMan");
            return (Criteria) this;
        }

        public Criteria andRepayManLike(String value) {
            addCriterion("REPAY_MAN like", value, "repayMan");
            return (Criteria) this;
        }

        public Criteria andRepayManNotLike(String value) {
            addCriterion("REPAY_MAN not like", value, "repayMan");
            return (Criteria) this;
        }

        public Criteria andRepayManIn(List<String> values) {
            addCriterion("REPAY_MAN in", values, "repayMan");
            return (Criteria) this;
        }

        public Criteria andRepayManNotIn(List<String> values) {
            addCriterion("REPAY_MAN not in", values, "repayMan");
            return (Criteria) this;
        }

        public Criteria andRepayManBetween(String value1, String value2) {
            addCriterion("REPAY_MAN between", value1, value2, "repayMan");
            return (Criteria) this;
        }

        public Criteria andRepayManNotBetween(String value1, String value2) {
            addCriterion("REPAY_MAN not between", value1, value2, "repayMan");
            return (Criteria) this;
        }

        public Criteria andRepaySignImgIsNull() {
            addCriterion("REPAY_SIGN_IMG is null");
            return (Criteria) this;
        }

        public Criteria andRepaySignImgIsNotNull() {
            addCriterion("REPAY_SIGN_IMG is not null");
            return (Criteria) this;
        }

        public Criteria andRepaySignImgEqualTo(String value) {
            addCriterion("REPAY_SIGN_IMG =", value, "repaySignImg");
            return (Criteria) this;
        }

        public Criteria andRepaySignImgNotEqualTo(String value) {
            addCriterion("REPAY_SIGN_IMG <>", value, "repaySignImg");
            return (Criteria) this;
        }

        public Criteria andRepaySignImgGreaterThan(String value) {
            addCriterion("REPAY_SIGN_IMG >", value, "repaySignImg");
            return (Criteria) this;
        }

        public Criteria andRepaySignImgGreaterThanOrEqualTo(String value) {
            addCriterion("REPAY_SIGN_IMG >=", value, "repaySignImg");
            return (Criteria) this;
        }

        public Criteria andRepaySignImgLessThan(String value) {
            addCriterion("REPAY_SIGN_IMG <", value, "repaySignImg");
            return (Criteria) this;
        }

        public Criteria andRepaySignImgLessThanOrEqualTo(String value) {
            addCriterion("REPAY_SIGN_IMG <=", value, "repaySignImg");
            return (Criteria) this;
        }

        public Criteria andRepaySignImgLike(String value) {
            addCriterion("REPAY_SIGN_IMG like", value, "repaySignImg");
            return (Criteria) this;
        }

        public Criteria andRepaySignImgNotLike(String value) {
            addCriterion("REPAY_SIGN_IMG not like", value, "repaySignImg");
            return (Criteria) this;
        }

        public Criteria andRepaySignImgIn(List<String> values) {
            addCriterion("REPAY_SIGN_IMG in", values, "repaySignImg");
            return (Criteria) this;
        }

        public Criteria andRepaySignImgNotIn(List<String> values) {
            addCriterion("REPAY_SIGN_IMG not in", values, "repaySignImg");
            return (Criteria) this;
        }

        public Criteria andRepaySignImgBetween(String value1, String value2) {
            addCriterion("REPAY_SIGN_IMG between", value1, value2, "repaySignImg");
            return (Criteria) this;
        }

        public Criteria andRepaySignImgNotBetween(String value1, String value2) {
            addCriterion("REPAY_SIGN_IMG not between", value1, value2, "repaySignImg");
            return (Criteria) this;
        }

        public Criteria andReturnManIsNull() {
            addCriterion("RETURN_MAN is null");
            return (Criteria) this;
        }

        public Criteria andReturnManIsNotNull() {
            addCriterion("RETURN_MAN is not null");
            return (Criteria) this;
        }

        public Criteria andReturnManEqualTo(String value) {
            addCriterion("RETURN_MAN =", value, "returnMan");
            return (Criteria) this;
        }

        public Criteria andReturnManNotEqualTo(String value) {
            addCriterion("RETURN_MAN <>", value, "returnMan");
            return (Criteria) this;
        }

        public Criteria andReturnManGreaterThan(String value) {
            addCriterion("RETURN_MAN >", value, "returnMan");
            return (Criteria) this;
        }

        public Criteria andReturnManGreaterThanOrEqualTo(String value) {
            addCriterion("RETURN_MAN >=", value, "returnMan");
            return (Criteria) this;
        }

        public Criteria andReturnManLessThan(String value) {
            addCriterion("RETURN_MAN <", value, "returnMan");
            return (Criteria) this;
        }

        public Criteria andReturnManLessThanOrEqualTo(String value) {
            addCriterion("RETURN_MAN <=", value, "returnMan");
            return (Criteria) this;
        }

        public Criteria andReturnManLike(String value) {
            addCriterion("RETURN_MAN like", value, "returnMan");
            return (Criteria) this;
        }

        public Criteria andReturnManNotLike(String value) {
            addCriterion("RETURN_MAN not like", value, "returnMan");
            return (Criteria) this;
        }

        public Criteria andReturnManIn(List<String> values) {
            addCriterion("RETURN_MAN in", values, "returnMan");
            return (Criteria) this;
        }

        public Criteria andReturnManNotIn(List<String> values) {
            addCriterion("RETURN_MAN not in", values, "returnMan");
            return (Criteria) this;
        }

        public Criteria andReturnManBetween(String value1, String value2) {
            addCriterion("RETURN_MAN between", value1, value2, "returnMan");
            return (Criteria) this;
        }

        public Criteria andReturnManNotBetween(String value1, String value2) {
            addCriterion("RETURN_MAN not between", value1, value2, "returnMan");
            return (Criteria) this;
        }

        public Criteria andReturnInfoIsNull() {
            addCriterion("RETURN_INFO is null");
            return (Criteria) this;
        }

        public Criteria andReturnInfoIsNotNull() {
            addCriterion("RETURN_INFO is not null");
            return (Criteria) this;
        }

        public Criteria andReturnInfoEqualTo(String value) {
            addCriterion("RETURN_INFO =", value, "returnInfo");
            return (Criteria) this;
        }

        public Criteria andReturnInfoNotEqualTo(String value) {
            addCriterion("RETURN_INFO <>", value, "returnInfo");
            return (Criteria) this;
        }

        public Criteria andReturnInfoGreaterThan(String value) {
            addCriterion("RETURN_INFO >", value, "returnInfo");
            return (Criteria) this;
        }

        public Criteria andReturnInfoGreaterThanOrEqualTo(String value) {
            addCriterion("RETURN_INFO >=", value, "returnInfo");
            return (Criteria) this;
        }

        public Criteria andReturnInfoLessThan(String value) {
            addCriterion("RETURN_INFO <", value, "returnInfo");
            return (Criteria) this;
        }

        public Criteria andReturnInfoLessThanOrEqualTo(String value) {
            addCriterion("RETURN_INFO <=", value, "returnInfo");
            return (Criteria) this;
        }

        public Criteria andReturnInfoLike(String value) {
            addCriterion("RETURN_INFO like", value, "returnInfo");
            return (Criteria) this;
        }

        public Criteria andReturnInfoNotLike(String value) {
            addCriterion("RETURN_INFO not like", value, "returnInfo");
            return (Criteria) this;
        }

        public Criteria andReturnInfoIn(List<String> values) {
            addCriterion("RETURN_INFO in", values, "returnInfo");
            return (Criteria) this;
        }

        public Criteria andReturnInfoNotIn(List<String> values) {
            addCriterion("RETURN_INFO not in", values, "returnInfo");
            return (Criteria) this;
        }

        public Criteria andReturnInfoBetween(String value1, String value2) {
            addCriterion("RETURN_INFO between", value1, value2, "returnInfo");
            return (Criteria) this;
        }

        public Criteria andReturnInfoNotBetween(String value1, String value2) {
            addCriterion("RETURN_INFO not between", value1, value2, "returnInfo");
            return (Criteria) this;
        }

        public Criteria andReturnImgUrlIsNull() {
            addCriterion("RETURN_IMG_URL is null");
            return (Criteria) this;
        }

        public Criteria andReturnImgUrlIsNotNull() {
            addCriterion("RETURN_IMG_URL is not null");
            return (Criteria) this;
        }

        public Criteria andReturnImgUrlEqualTo(String value) {
            addCriterion("RETURN_IMG_URL =", value, "returnImgUrl");
            return (Criteria) this;
        }

        public Criteria andReturnImgUrlNotEqualTo(String value) {
            addCriterion("RETURN_IMG_URL <>", value, "returnImgUrl");
            return (Criteria) this;
        }

        public Criteria andReturnImgUrlGreaterThan(String value) {
            addCriterion("RETURN_IMG_URL >", value, "returnImgUrl");
            return (Criteria) this;
        }

        public Criteria andReturnImgUrlGreaterThanOrEqualTo(String value) {
            addCriterion("RETURN_IMG_URL >=", value, "returnImgUrl");
            return (Criteria) this;
        }

        public Criteria andReturnImgUrlLessThan(String value) {
            addCriterion("RETURN_IMG_URL <", value, "returnImgUrl");
            return (Criteria) this;
        }

        public Criteria andReturnImgUrlLessThanOrEqualTo(String value) {
            addCriterion("RETURN_IMG_URL <=", value, "returnImgUrl");
            return (Criteria) this;
        }

        public Criteria andReturnImgUrlLike(String value) {
            addCriterion("RETURN_IMG_URL like", value, "returnImgUrl");
            return (Criteria) this;
        }

        public Criteria andReturnImgUrlNotLike(String value) {
            addCriterion("RETURN_IMG_URL not like", value, "returnImgUrl");
            return (Criteria) this;
        }

        public Criteria andReturnImgUrlIn(List<String> values) {
            addCriterion("RETURN_IMG_URL in", values, "returnImgUrl");
            return (Criteria) this;
        }

        public Criteria andReturnImgUrlNotIn(List<String> values) {
            addCriterion("RETURN_IMG_URL not in", values, "returnImgUrl");
            return (Criteria) this;
        }

        public Criteria andReturnImgUrlBetween(String value1, String value2) {
            addCriterion("RETURN_IMG_URL between", value1, value2, "returnImgUrl");
            return (Criteria) this;
        }

        public Criteria andReturnImgUrlNotBetween(String value1, String value2) {
            addCriterion("RETURN_IMG_URL not between", value1, value2, "returnImgUrl");
            return (Criteria) this;
        }

        public Criteria andRepayMemoIsNull() {
            addCriterion("REPAY_MEMO is null");
            return (Criteria) this;
        }

        public Criteria andRepayMemoIsNotNull() {
            addCriterion("REPAY_MEMO is not null");
            return (Criteria) this;
        }

        public Criteria andRepayMemoEqualTo(String value) {
            addCriterion("REPAY_MEMO =", value, "repayMemo");
            return (Criteria) this;
        }

        public Criteria andRepayMemoNotEqualTo(String value) {
            addCriterion("REPAY_MEMO <>", value, "repayMemo");
            return (Criteria) this;
        }

        public Criteria andRepayMemoGreaterThan(String value) {
            addCriterion("REPAY_MEMO >", value, "repayMemo");
            return (Criteria) this;
        }

        public Criteria andRepayMemoGreaterThanOrEqualTo(String value) {
            addCriterion("REPAY_MEMO >=", value, "repayMemo");
            return (Criteria) this;
        }

        public Criteria andRepayMemoLessThan(String value) {
            addCriterion("REPAY_MEMO <", value, "repayMemo");
            return (Criteria) this;
        }

        public Criteria andRepayMemoLessThanOrEqualTo(String value) {
            addCriterion("REPAY_MEMO <=", value, "repayMemo");
            return (Criteria) this;
        }

        public Criteria andRepayMemoLike(String value) {
            addCriterion("REPAY_MEMO like", value, "repayMemo");
            return (Criteria) this;
        }

        public Criteria andRepayMemoNotLike(String value) {
            addCriterion("REPAY_MEMO not like", value, "repayMemo");
            return (Criteria) this;
        }

        public Criteria andRepayMemoIn(List<String> values) {
            addCriterion("REPAY_MEMO in", values, "repayMemo");
            return (Criteria) this;
        }

        public Criteria andRepayMemoNotIn(List<String> values) {
            addCriterion("REPAY_MEMO not in", values, "repayMemo");
            return (Criteria) this;
        }

        public Criteria andRepayMemoBetween(String value1, String value2) {
            addCriterion("REPAY_MEMO between", value1, value2, "repayMemo");
            return (Criteria) this;
        }

        public Criteria andRepayMemoNotBetween(String value1, String value2) {
            addCriterion("REPAY_MEMO not between", value1, value2, "repayMemo");
            return (Criteria) this;
        }

        public Criteria andInvaildFlagIsNull() {
            addCriterion("INVAILD_FLAG is null");
            return (Criteria) this;
        }

        public Criteria andInvaildFlagIsNotNull() {
            addCriterion("INVAILD_FLAG is not null");
            return (Criteria) this;
        }

        public Criteria andInvaildFlagEqualTo(String value) {
            addCriterion("INVAILD_FLAG =", value, "invaildFlag");
            return (Criteria) this;
        }

        public Criteria andInvaildFlagNotEqualTo(String value) {
            addCriterion("INVAILD_FLAG <>", value, "invaildFlag");
            return (Criteria) this;
        }

        public Criteria andInvaildFlagGreaterThan(String value) {
            addCriterion("INVAILD_FLAG >", value, "invaildFlag");
            return (Criteria) this;
        }

        public Criteria andInvaildFlagGreaterThanOrEqualTo(String value) {
            addCriterion("INVAILD_FLAG >=", value, "invaildFlag");
            return (Criteria) this;
        }

        public Criteria andInvaildFlagLessThan(String value) {
            addCriterion("INVAILD_FLAG <", value, "invaildFlag");
            return (Criteria) this;
        }

        public Criteria andInvaildFlagLessThanOrEqualTo(String value) {
            addCriterion("INVAILD_FLAG <=", value, "invaildFlag");
            return (Criteria) this;
        }

        public Criteria andInvaildFlagLike(String value) {
            addCriterion("INVAILD_FLAG like", value, "invaildFlag");
            return (Criteria) this;
        }

        public Criteria andInvaildFlagNotLike(String value) {
            addCriterion("INVAILD_FLAG not like", value, "invaildFlag");
            return (Criteria) this;
        }

        public Criteria andInvaildFlagIn(List<String> values) {
            addCriterion("INVAILD_FLAG in", values, "invaildFlag");
            return (Criteria) this;
        }

        public Criteria andInvaildFlagNotIn(List<String> values) {
            addCriterion("INVAILD_FLAG not in", values, "invaildFlag");
            return (Criteria) this;
        }

        public Criteria andInvaildFlagBetween(String value1, String value2) {
            addCriterion("INVAILD_FLAG between", value1, value2, "invaildFlag");
            return (Criteria) this;
        }

        public Criteria andInvaildFlagNotBetween(String value1, String value2) {
            addCriterion("INVAILD_FLAG not between", value1, value2, "invaildFlag");
            return (Criteria) this;
        }

        public Criteria andInvalidTimeIsNull() {
            addCriterion("INVALID_TIME is null");
            return (Criteria) this;
        }

        public Criteria andInvalidTimeIsNotNull() {
            addCriterion("INVALID_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andInvalidTimeEqualTo(Date value) {
            addCriterion("INVALID_TIME =", value, "invalidTime");
            return (Criteria) this;
        }

        public Criteria andInvalidTimeNotEqualTo(Date value) {
            addCriterion("INVALID_TIME <>", value, "invalidTime");
            return (Criteria) this;
        }

        public Criteria andInvalidTimeGreaterThan(Date value) {
            addCriterion("INVALID_TIME >", value, "invalidTime");
            return (Criteria) this;
        }

        public Criteria andInvalidTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("INVALID_TIME >=", value, "invalidTime");
            return (Criteria) this;
        }

        public Criteria andInvalidTimeLessThan(Date value) {
            addCriterion("INVALID_TIME <", value, "invalidTime");
            return (Criteria) this;
        }

        public Criteria andInvalidTimeLessThanOrEqualTo(Date value) {
            addCriterion("INVALID_TIME <=", value, "invalidTime");
            return (Criteria) this;
        }

        public Criteria andInvalidTimeIn(List<Date> values) {
            addCriterion("INVALID_TIME in", values, "invalidTime");
            return (Criteria) this;
        }

        public Criteria andInvalidTimeNotIn(List<Date> values) {
            addCriterion("INVALID_TIME not in", values, "invalidTime");
            return (Criteria) this;
        }

        public Criteria andInvalidTimeBetween(Date value1, Date value2) {
            addCriterion("INVALID_TIME between", value1, value2, "invalidTime");
            return (Criteria) this;
        }

        public Criteria andInvalidTimeNotBetween(Date value1, Date value2) {
            addCriterion("INVALID_TIME not between", value1, value2, "invalidTime");
            return (Criteria) this;
        }

        public Criteria andInvalidManIsNull() {
            addCriterion("INVALID_MAN is null");
            return (Criteria) this;
        }

        public Criteria andInvalidManIsNotNull() {
            addCriterion("INVALID_MAN is not null");
            return (Criteria) this;
        }

        public Criteria andInvalidManEqualTo(String value) {
            addCriterion("INVALID_MAN =", value, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidManNotEqualTo(String value) {
            addCriterion("INVALID_MAN <>", value, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidManGreaterThan(String value) {
            addCriterion("INVALID_MAN >", value, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidManGreaterThanOrEqualTo(String value) {
            addCriterion("INVALID_MAN >=", value, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidManLessThan(String value) {
            addCriterion("INVALID_MAN <", value, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidManLessThanOrEqualTo(String value) {
            addCriterion("INVALID_MAN <=", value, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidManLike(String value) {
            addCriterion("INVALID_MAN like", value, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidManNotLike(String value) {
            addCriterion("INVALID_MAN not like", value, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidManIn(List<String> values) {
            addCriterion("INVALID_MAN in", values, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidManNotIn(List<String> values) {
            addCriterion("INVALID_MAN not in", values, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidManBetween(String value1, String value2) {
            addCriterion("INVALID_MAN between", value1, value2, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidManNotBetween(String value1, String value2) {
            addCriterion("INVALID_MAN not between", value1, value2, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseIsNull() {
            addCriterion("INVALID_BECAUSE is null");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseIsNotNull() {
            addCriterion("INVALID_BECAUSE is not null");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseEqualTo(String value) {
            addCriterion("INVALID_BECAUSE =", value, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseNotEqualTo(String value) {
            addCriterion("INVALID_BECAUSE <>", value, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseGreaterThan(String value) {
            addCriterion("INVALID_BECAUSE >", value, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseGreaterThanOrEqualTo(String value) {
            addCriterion("INVALID_BECAUSE >=", value, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseLessThan(String value) {
            addCriterion("INVALID_BECAUSE <", value, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseLessThanOrEqualTo(String value) {
            addCriterion("INVALID_BECAUSE <=", value, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseLike(String value) {
            addCriterion("INVALID_BECAUSE like", value, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseNotLike(String value) {
            addCriterion("INVALID_BECAUSE not like", value, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseIn(List<String> values) {
            addCriterion("INVALID_BECAUSE in", values, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseNotIn(List<String> values) {
            addCriterion("INVALID_BECAUSE not in", values, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseBetween(String value1, String value2) {
            addCriterion("INVALID_BECAUSE between", value1, value2, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseNotBetween(String value1, String value2) {
            addCriterion("INVALID_BECAUSE not between", value1, value2, "invalidBecause");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}